# OSQL Class Reference
[Dynamic query builder]

Factory for OSQL's queries. More...

Inheritance diagram for OSQL:
[legend]

List of all members.

## Static Public Member Functions

static | select ()
static | insert ()
static | update ($table=null)
static | delete ()
static | truncate ($whom=null)
static | createTable (DBTable $table)
static | dropTable ($name, $cascade=false)

## Detailed Description

Factory for OSQL's queries.

See also:
  http://onphp.org/examples.OSQL.en.html

Definition at line 19 of file OSQL.class.php.

## Member Function Documentation

static OSQL::createTable | ( | DBTable $ | table | ) | `[static]`

Returns:
  CreateTableQuery

Definition at line 64 of file OSQL.class.php.

Referenced by DBTable::toDialectString().

static OSQL::delete | ( |  | ) | `[static]`

Returns:
  DeleteQuery

Definition at line 48 of file OSQL.class.php.

Referenced by BaseDaoWorker::dropById(), BaseDaoWorker::dropByIds(), UnifiedContainerWorker::dropList(), ManyToManyLinkedWorker::makeDeleteQuery(), OneToManyLinkedLazy::sync(), and OneToManyLinkedFull::sync().

static OSQL::dropTable | ( | $ | name,
|  | $ | cascade = `false` |
| ) |  |  | `[static]`

Returns:
  DropTableQuery

Definition at line 72 of file OSQL.class.php.

static OSQL::insert | ( |  | ) | `[static]`

Returns:
  InsertQuery

Definition at line 32 of file OSQL.class.php.

Referenced by StorableDAO::add(), StorableDAO::import(), and ManyToManyLinkedWorker::makeInsertQuery().

static OSQL::select | ( |  | ) | `[static]`

Returns:
  SelectQuery

Definition at line 24 of file OSQL.class.php.

Referenced by MetaConfiguration::checkEnumerationReferentialIntegrity(), ProtoDAO::fetchCollections(), GenericDAO::makeSelectHead(), GenericDAO::makeTotalCountQuery(), and TimeIntervalsGenerator::toSelectQuery().

static OSQL::truncate | ( | $ | whom = `null` | ) | `[static]`

Returns:
  TruncateQuery

Definition at line 56 of file OSQL.class.php.

static OSQL::update | ( | $ | table = `null` | ) | `[static]`

Returns:
  UpdateQuery

Definition at line 40 of file OSQL.class.php.

Referenced by MetaConfiguration::checkEnumerationReferentialIntegrity(), DaoUtils::increment(), OneToManyLinkedLazy::makeMassUpdateQuery(), StorableDAO::save(), and StorableDAO::unite().

The documentation for this class was generated from the following file:

- core/OSQL/OSQL.class.php